require('neo-tree').setup({
    sources = {
        "filesystem",
        "buffers",
        "git_status",
    },
    filesystem = {
        filtered_items = {
            visible = true,
            hide_gitignored = false,
            hide_hidden = false,
            hide_dotfiles = false,
        },
        follow_current_file =
        {
            enabled = true,
        },
        window = {
            mappings = {
                ['<leftrelease>'] = 'open'
            }
        }
    },
})

vim.keymap.set('n', '<leader>b', ':Neotree toggle<CR>')
