local builtin = require('telescope.builtin')
vim.keymap.set('n', '<leader>ff', builtin.find_files, { desc = "Find files" })
vim.keymap.set('n', '<leader>fg', builtin.live_grep, { desc = "Find in live grep" })
vim.keymap.set('n', '<leader>fag',
    function()
        require('telescope.builtin').live_grep({ additional_args = { "-u" } })
    end, { desc = "Find in live grep(including ignored files)" })
vim.keymap.set('n', '<leader>fs', builtin.grep_string, { desc = "Find string" })
vim.keymap.set('n', '<leader>fas',
    function()
        require('telescope.builtin').grep_string({ additional_args = { "-u" } })
    end, { desc = "Find all strings(including ignored files)" })
vim.keymap.set('n', '<leader>fh', builtin.help_tags, { desc = "Find from help" })
